SystemOrganization addCategory: #'Seaside-Pharo-Security'!

WAObject subclass: #WAFortunaInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Security'!

!WAFortunaInstaller class methodsFor: 'private' stamp: 'pmm 2/8/2014 16:13'!
generateKey: keySize
	^ FileStream oldFileNamed: '/dev/random' do: [ :stream |
		stream binary; next: keySize ]! !

!WAFortunaInstaller class methodsFor: 'public' stamp: 'pmm 2/8/2014 16:12'!
install
	WAKeyGenerator current: (WAKeyGenerator new
		generator: (Fortuna key: (self generateKey: 32)); "256 bits"
		yourself)! !

WAObject subclass: #WASecureRandomInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Security'!

!WASecureRandomInstaller class methodsFor: 'public' stamp: 'pmm 2/8/2014 14:12'!
install
	WAKeyGenerator current: (WAKeyGenerator new
		generator: SecureRandom new;
		yourself)! !

!GRPackage class methodsFor: '*seaside-pharo-security' stamp: 'pmm 2/8/2014 16:15'!
seasidePharoSecurity
	^ self new
		name: 'Seaside-Pharo-Security';
		addDependency: 'Seaside-Security';
		url: #seasideUrl;
		yourself! !
